Page MenuHomePhabricator

Help text of editor column covered by WikiEditor
Closed, ResolvedPublic

Description

From help page:

it seems that the help text above the right column has disappeared, and thus the columns become unaligned. Not sure if this is the intended behaviour or not, but I assume the two boxes should always be aligned.

Screenshot, provided by reporting user:

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptMay 12 2017, 8:05 AM
Lea_WMDE triaged this task as Unbreak Now! priority.May 12 2017, 10:11 AM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptMay 12 2017, 10:11 AM

Change 353535 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/TwoColConflict@master] After selecting a version and clicking OK the columns realign

https://gerrit.wikimedia.org/r/353535

Actually, as @Andrew-WMDE found out, the help text is not missing but the wikieditor is for some reason covering it.

Tobi_WMDE_SW renamed this task from help text of editor column missing, causes severe disalignment of changes and editor box. to Help text of editor column covered by WikiEditor.May 12 2017, 1:19 PM

I was able to reproduce the issues under the following circumstances:

  • using WikiEditor
  • ResourceLoaderDebug needs to be disabled (as in production)
  • using Chrome

The patch fixes 3 bugs which are responsible for the misalignment issues:

  1. this.redraw() prevented the alignment script from being called after the user closed the version dialogue
  2. On Chrome the WikiEditor was loaded before TwoColConflict meaning $( '#wpTextbox1' ).on( 'wikiEditor-toolbar-doneInitialSections', func ... was never called and therefore neither was adjustEditorColSpacing(), see https://www.mediawiki.org/wiki/Extension:WikiEditor/Toolbar_customization#Determining_when_toolbar_load_is_done
  3. The ".mw-twocolconflict-base-selection-desc" was loaded after adjustEditorColSpacing() was called
Andrew-WMDE moved this task from Proposed to Currently in sprint on the WMDE-QWERTY-Team board.

Change 353535 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Fix issues with column alignment

https://gerrit.wikimedia.org/r/353535

Change 354009 had a related patch set uploaded (by Addshore; owner: Andrew-WMDE):
[mediawiki/extensions/TwoColConflict@wmf/1.30.0-wmf.1] Fix issues with column alignment

https://gerrit.wikimedia.org/r/354009

Change 354009 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@wmf/1.30.0-wmf.1] Fix issues with column alignment

https://gerrit.wikimedia.org/r/354009

Mentioned in SAL (#wikimedia-operations) [2017-05-17T13:47:01Z] <addshore@tin> Synchronized php-1.30.0-wmf.1/extensions/TwoColConflict/modules/: SWAT [[gerrit:354009|Fix issues with column alignment]] T165129 (duration: 00m 39s)

Tobi_WMDE_SW closed this task as Resolved.May 30 2017, 11:06 AM
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Jun 6 2017, 2:51 PM